2005-07-10  Peter Karlsson <peter@softwolves.pp.se>

	* doc/jwhois.texi: 3.2.3 release
	* src/init.c: Minor fix so that help page looks right

2005-07-09  Peter Karlsson <peter@softwolves.pp.se>

	* acconfig.h, autogen.sh, configure.in, INSTALL, install-sh,
	  Makefile.am, missing, mkinstalldirs, doc/texinfo.tex, po/Makevars,
	  src/Makefile.am:
	  Updated build system with help from Rob Taylor
	  <robtaylor.at.floppily.org>
	* example/jwhois.conf: Various updates (Christian Kurz)
	* src/init.c: Removed copyright year from language string
	* po/es.po, po/fr.po, po/hu.po, po/id.po, po/it.po, po/nl.po,
	  po/pl.po, po/pt_BR.po, po/ro.po, po/rw.po, po/tr.po, po/vi.po,
	  po/zh_TW.po: Updated from TP
	* po/sv.po: Updated

2005-06-27  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Various updates (Adrian von Bidder, Christian
	  Kurz)

2005-05-04  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Various updates (Christian Kurz, Adrian von
	  Bidder, Robert Scheck)

2005-04-04  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Various updates (Christian Kurz, Adrian von
	  Bidder)

2005-03-23  Jonas Oberg <jonas@gnu.org>

	* example/jwhois.conf: Added aero domains (Robert Scheck)

2005-03-22  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Improved regex for detecting redirects
	  (KOMATSU Shinichiro)
	* po/tr.po: Updated from TP.

2005-03-20  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Various updates (Christian Kurz, Adrian von
	  Bidder)

2005-03-19  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Various updates (Christian Kurz)

2005-03-18  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Various updates (Christian Kurz, Adrian von
	  Bidder)

2005-03-16  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Various updates (Christian Kurz)

2005-03-09  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Fixed typos (KOMATSU Shinichiro)

2005-02-10  Jonas Oberg  <jonas@gnu.org>

	* example/jwhois.conf: Changed address for .jp whois
	  server (Shinjiro Naoi)

2005-01-21  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add m4.
	(EXTRA_DIST): Add config.rpath.
	* configure.in (AC_OUTPUT): Add po/Makefile.in,

2005-01-15  Peter Karlsson <peter@softwolves.pp.se>

	* po/: es.po fr.po hu.po id.po it.po nl.po pl.po pt_BR.po ro.po
	  tr.po zh_TW.po: Imported latest versions from TP.
	* examples/jwhois.conf: Various updates (Christian Kurz,
	  Christer Mjellem Strand, Chris Lewis, Gavin Brown, John Oliver,
	  David Eriksson, Kimmo Suominen)
	* src: cache.c, dns.c, lookup.c: Applied patch to fix compiler
	  warnings (Miloslav Trmac)
	* include/jwhois.h: Fixed syntax errors (Miloslav Trmac)
	* src/jwhois.c: Fixed double free on double redirection
	  (Miloslav Trmac)
	* TODO: IDNA wanted.
	* configure.in, NEWS, doc/jwhois.texi: Almost released 3.2.3.

2004-05-21  Jonas Oberg <jonas@gnu.org>

	* example/jwhois.conf: Changed whois.denic.de to www.decnic.de
	  with http POST.

2004-01-24  Jonas Oberg <jonas@gnu.org>

	* po/hu.po: Updated from TP.

2003-07-18  Jonas Oberg <jonas@gnu.org>

	* Upgraded to Automake 1.5
	* src/jwhois.c: Added hostname to cache key, so that requests for
	  the same query, but to different hosts, are cached individually.

2003-06-30  Peter Karlsson <peter@softwolves.pp.se>

	* po/pl.po: Added from TP.
	* TODO: Removed obsoleted information (Wojciech Polak).
	* examples/jwhois.conf: Various updates; uncommented the JPNIC
	  entries by default (Greg A. Woods, Christian Kurz, Luiz Eduardo
	  Roncato Cordeiro).
	* configure.in, NEWS, doc/jwhois.texi: Released 3.2.2.

2003-05-22  Peter Karlsson <peter@softwolves.pp.se>

	* po/pt_BR.po, po/hu.po, po/ro.po: Updates from TP.
	* examples/jwhois.conf: Corrected entry for .de (thanks to
	  Joachim Strohbach)

2003-04-06  Peter Karlsson <peter@softwolves.pp.se>

	* po/id.po: Updates from TP.

2003-03-05  Peter Karlsson <peter@softwolves.pp.se>

	* po/it.po, configure.in: Added Italian translation (non-TP).

2003-02-14  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: re-enabled .pt, added .na (Namibia),
	  updated .sa (Saudi Arabia), added -SA (SaudiNIC) handles.

2003-02-14  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: v4 assignment from IANA to APNIC of 222/7

2003-02-12  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Added support for MNT handles (patch by
	  Frank Altpeter)

2003-02-04  Peter Karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf, src/lookup.c: Fixed problems with redirected
	  lookups of .org domains (closes Debian bug#179782)

2003-02-04  Peter Karlsson <peter@softwolves.pp.se>

	* po/nl.po, po/fr.po, po/pt_BR.po: Updated from TP.

2003-02-03  Peter Karlsson <peter@softwolves.pp.se>

	* po/es.po: Updated from TP.
	* po/sv.po: Updated.

2003-02-01  Peter Karlsson <peter@softwolves.pp.se>

	* Released 3.2.1.

2003-01-31  Peter Karlsson <peter@softwolves.pp.se>

	* configure.in, NEWS, AUTHORS, README, src/init.c, doc/jwhois.texi,
	  po/*.po, po/jwhois.pot: Preparations for the 3.2.1 release.
	* example/jwhois.conf: Added .im

2003-01-31  Jonas Oberg <jonas@gnu.org>

	* example/jwhois.conf: Added a second whois-redirect for
          apnic records which direct to whois.nic.or.kr.
          Also added some netblocks to direct directly at KRNIC.
          Investigating possibility of automatically generating
          this information from ARIN/APNIC/LACNIC/RIPE databases,
          but thus far this is a no-go because of incompleteness
          and random strangeness.

2003-01-30  Jonas Oberg <jonas@gnu.org>

	* example/jwhois.conf: That didn't take long :-)
          PIR whois server address confirmed by PIR.

2003-01-30  Jonas Oberg <jonas@gnu.org>

	* example/jwhois.conf: Fixed .org whois server to point to
          the new Public Interest Registry. This might have to be
          changed. Awaiting authoritative answer from PIR about the
          issue.

2003-01-14  Peter Karlsson <peter@softwolves.pp.se>

	* changelog.in, po/nl.po: New Dutch translation from TP.

2002-12-15  Peter Karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Corrected typo in .lt (Lithuania) entry.
	  (reported by Aistis Zenkevicius)

2002-12-14  Peter Karlsson <peter@softwolves.pp.se>

	* po/pt_BR.po: Updated from TP.

2002-12-03  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: updated whois servers for
	   .ua (United Arab Emirates), .au (Austrailia), .bz (Belize)
	   .ee (Estonia), .lv (Latvia), .nz (New Zealand), .pe (Peru)
	   .pro (new gTLD), allocation of 82.0.0.0/8

2002-08-20  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: regexp to match rwhois URLs seen
	  in some ARIN records (not a full rwhois URL parser).

2002-08-06  Peter Karlsson <peter@softwolves.pp.se>

	* po/fr.po: Updated from TP.

2002-08-03  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: updated regexp to match ARIN netblock
	  records (closes Debian bug#154832)

2002-08-02  Peter Karlsson <peter@softwolves.pp.se>

	* po/id.po, po/pt_BR.po: Updated translations from TP.
	* Imported bugfixes for building/running jwhois 3.2.0 on SGI IRIX
	  6.5 and HP-UX 11.0 from Chris Wood <chris@seismo.usbr.gov>:
	 - src/Makefile.am: add -I$(top_srcdir)/intl to find <libintl.h>
	 - src/cache.c: dbm_fetch() pointer causes bus error when
	   dereferenced
	 - src/gai_strerror.c: empty init for values[] causes compiler error
	* src/jconfig.c, src/lookup.c: Imported fixes for memory leaks and
	  out-of-bounds pointers identified by Insure++ from Chris Wood
	  <chris@seismo.usbr.gov>.
	* doc/jwhois.texi: Fixed a syntax error committed earlier.
	* include/utils.h: Include whois.h to remove compiler warning.

2002-08-01  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: whois.dk-hostmaster.dk reinstated

2002-07-30  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: 200/8 is now handled by LACNIC
	  (Latin American and Caribbean IP address Regional Registry),
	  added more regional CIDR blocks for APNIC/RIPE.

2002-07-24  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: Updated ng (Nigeria), is (Iceland),
	  ug (Uganda).

2002-07-19  Peter Karlsson <peter@softwolves.pp.se>

	* src/http.c, example/jwhois.conf, doc/jwhois.texi: Added support
	  for sending POST data to the W3M text mode browser.

2002-07-19  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: Added .sr (Suriname), .tv (Tuvalu),
	  .fed.us (US Federal) and FRNIC handles.

2002-07-18  Lee Maguire <lee@hexkey.co.uk>

	* example/jwhois.conf: Added a block of "centralnic" pseudo
	  generic/country TLDs (e.g. ru.com, za.com).

2002-07-17  Jonas Oberg <jonas@gnu.org>

	* example/jwhois.conf: Fixed ASN- records and added support for ARIN
	  nameserver records.

2002-07-14  Peter Karlsson <peter@softwolves.pp.se>

	* include/cache.h, dns.h, gai_strerror.h, http.h, init.h, jconfig.h,
	  jwhois.h, lookup.h, rwhois.h, utils.h, whois.h
	Remove leading underscores from user-defined macros.

2002-07-06  Peter Karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Added 221.0.0.0/8.
	  (Lee Maguire, Debian bug#151935)

2002-06-28  Peter Karlsson <peter@softwolves.pp.se>

	* po/pt_BR.po: Updated Brazilian Portuguese translation from TP.
	* po/hu.po, configure.in: Added Hungarian translation from TP.

2002-06-13  Peter Karlsson <peter@softwolves.pp.se>

	* configure.im, po/pt_BR.po: Added Brazilian Portuguese translation
	  from TP.

2002-05-13  Peter Karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Disabled .ba, .pt and .mk.
	  Updated .ee, .fi, .hu, .lt, .uz
	  (Lee Maguire, Debian bug#146190, #146251, #146410)

2002-05-04  Peter Karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Added .vu
	  (Lee Maguire, Debian bug#145734)

2002-05-02  peter karlsson <peter@softwolves.pp.se>

	* Released 3.2.0.

2002-04-20  peter karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Added .ir, .lb, .tg, .tk, .tn, .ug, .uy,
	  .vn and .ac.za
	  (Lee Maguire, Debian bug#142384, #143050, #143184, #143190,
	                          #143191, #143201)

2002-04-14  peter karlsson <peter@softwolves.pp.se>

	* doc/jwhois.texi: Documented extensions to the query-format
	  directive.
	* src/init.c: Updated year to 2002.

2002-04-10  peter karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: List .com, .net and .org explictly.
	  (Lee Maguire, Debian bug#142181)
	  Added/updated .lt, .mw, .pk, .ua, .uz and .vi.
	  (Lee Maguire, Debian bug#142183)

2002-04-10  peter karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Added .bi, .cg and .rw.
	  (Lee Maguire, Debian bug#141961)

2002-04-08  peter karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Added .ag, .ai, .ec, .gi and .io.
	  Changed .kz.
	  (Lee Maguire, Debian bug#141817, #141818, #141819, #141822,
	                          #141828, #141833)

2002-04-02  peter karlsson <peter@softwolves.pp.se>

	* src/lookup.c: Applied bugfix patch from Jason Harris.

2002-03-28  peter karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Added .edu.
	  (Lee Maguire, Debian bug#140279)

2002-03-25  peter karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Added .gt.
	  (Lee Maguire, Debian bug#139877)

2002-03-21  peter karlsson <peter@softwolves.pp.se>

	* configure.in, po/id.po: Added Indonesian translation from TP.

2002-03-20  peter karlsson <peter@softwolves.pp.se>

	* src/http.c, examples/jwhois.conf: Advanced queries for http.
	* src/lookup.c: Bugfix for advanced queries.

2002-03-19  peter karlsson <peter@softwolves.pp.se>

	* src/lookup.c: Added code to split domain name for advanced
	  queries.
	* src/jwhois.c: Fix a memory leak.
	* examples/jwhois.conf: Updated .mt data.
	  (Lee Maguire, Debian bug#138488)

2002-02-04  Jonas Oberg  <jonas@gnu.org>

	* src/rwhois.c (rwhois_parse_line): Fix %info
	(rwhois_query_internal): Check for correct return values from
	rwhois_read_line

2002-03-07  peter karlsson <peter@softwolves.pp.se>

	* examples/jwhois.conf: Added .tt data.
	  (Lee Maguire, Debian bug#137088)

2002-03-03  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Fixed incorrect .dk data.
	  (Klaus Alexander Seistrup, Debian bug#129018)

2002-02-28  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Updated .int and .us data.
	  (Lee Maguire, Debian bug#136200)

2002-02-11  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Added .name and .coop data.
	  (Lee Maguire, Debian bug#133429)

2002-02-06  peter karlsson <peter@softwolves.pp.se>

	* src/rwhois.c: Applied fix for segmentation fault on certain rwhois
	  servers. (Colin Phipps, Debian bug#132607)

2002-01-13  Jonas Oberg  <jonas@gnu.org>

	* example/jwhois.conf: Updated .dk definition

2002-01-12  peter karlsson <peter@softwolves.pp.se>

	* po/sv.po: Some brush-ups to the translation.

2002-01-09  Jonas Oberg  <jonas@gnu.org>

	* Released 3.1.0

	* src/lookup.c (find_regex): Fix searches where domain is "default".

	* configure.in: Test for inttypes.h and stdint.h

	* src/regex.c: Include inttypes.h or stdint.h and use (uintptr_t)
	to compare integers.

2001-01-06  Jonas Oberg  <jonas@gnu.org>

	* src/lookup.c (lookup_host): Fixed whois-servers.net support.

2002-01-06  peter karlsson <peter@softwolves.pp.se>

	* src/*.c, include/*.h: Added proper headers for all exported
	  functions, and made all function definitions proper ISO C.
	* po/jwhois.pot, *.po: Updated translation files.

2001-12-08  Jonas Oberg  <jonas@gnu.org>

	* example/jwhois.conf: Changed ".*" to "default" and removed .* in
	front of domain names (obsolete).

	* src/jconfig.c (jconfig_getone): Use private jconfig ptr.

	* src/lookup.c (find_cidr, find_regex): Fix to return best match
	instead of first match.

2001-12-03  Jonas Oberg  <jonas@gnu.org>

	* src/lookup.c (find_cidr): Use WORDS_BIGENDIAN to check for big
	endian machines.
	(find_cidr): Break after finding a correct match.

	* configure.in: Add check for big endian machines.

2001-12-02  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Added .museum data.

2001-12-01  Jonas Oberg  <jonas@gnu.org>

	* configure.in: Updated to version 3.0.2.
	* Released 3.0.2.
	
2001-11-29  peter karlsson <peter@softwolves.pp.se>

	* src/http.c: Fix buffer overrun for the GET method.
	  (Klaus Alexander Seistrup, Debian bug#121743)

2001-11-29  Jonas Oberg  <jonas@gnu.org>

	* src/jconfig.c (jconfig_getone): Fixed bug which made the
	function return NULL in case it was the first one called for
	config lookups.

2001-11-26  Jonas Oberg  <jonas@gnu.org>

	* configure.in, example/Makefile.am: Install jwhois.conf if there's
	no previous configuration file installed.

2001-11-22  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Added JPNIC IP ranges
	  (Lee Maguire, Debian bug#106130)

2001-11-22  Jonas Oberg  <jonas@gnu.org>

	* src/jwhois.c (jwhois_query): Fix so that wq->query isn't changed
	when doing raw queries.

2001-11-19  Jonas Oberg <jonas@gnu.org>

	* doc/sv/Makefile.am: Added installation instructions

2001-11-18  peter karlsson <peter@softwolves.pp.se>

	* example/jwhos.conf, src/http.c: Added support for extra form
	  element parameters to be able to query .es
	* doc/jwhois.1: Fixes.
	* doc/sv/jwhois.1: Swedish translation.

2001-11-03  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Updated information for .dk
	  (Klaus Alexander Seistrup, Debian bug#117872)

2001-11-02  Jonas Oberg  <jonas@gnu.org>

	* configure.in: Fix so that it doesn't check for libintl.h if the
	user disables NLS, or NLS is unavailable.

2001-10-10  Jonas Oberg  <jonas@gnu.org>

	* src/whois.c (whois_query): Fix off-by-one bug when calling strncpy

2001-10-01  Jonas Oberg  <jonas@gnu.org>

	* src/http.c (http_query): Fix to make POST work.

2001-09-30  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Added .biz and .info data.

2001-09-26  Jonas Oberg  <jonas@gnu.org>

	* src/jwhois.c (jwhois_query): Preserve old query string when
	being redirected through multiple servers.
	(main): Make queries -after- having checked the cache.

2001-09-08  peter karlsson <peter@softwolves.pp.se>

	* po/jwhois.pot, sv.po: Updated translation files.

2001-09-07  Jonas Oberg  <jonas@gnu.org>

	* doc/jwhois.1, jwhois.texi: Updated to version 3.0

2001-09-06  Jonas Oberg  <jonas@gnu.org>

	* src/jwhois.c (jwhois_query): Added generic function to perform
	queries.
	(main): Changed to use jwhois_query

	* src/whois.c (whois_query): Changed to use jwhois_query

2001-09-06  peter karlsson <peter@softwolves.pp.se>

	* src/http.c, rwhois.c, utils.c, whois.c: Gettext cleanups.
	* po/jwhois.pot, sv.po: Updated translation files.

2001-09-06  Jonas Oberg  <jonas@gnu.org>

	* src/rwhois.c (rwhois_query_internal): Rwhois queries now follows
	referrals.

2001-09-02  peter karlsson <peter@softwolves.pp.se>

	* src/http.c, example/jwhois.conf: Changed name of the form element
	  specifier from html-element to form-element.

2001-09-01  Jonas Oberg  <jonas@gnu.org>

	* src/lookup.c (find_regex): Fixed priority problem when mixing
	old style and new style rules.

	* src/jconfig.c (jconfig_parse_file): Changed domain separator
	to '|' instead of '.'.

2001-08-29  Jonas Oberg  <jonas@gnu.org>

	* src/jconfig.c (jconfig_getone): Make sure that it searches the
	entire configuration file for options.

2001-08-28  peter karlsson <peter@softwolves.pp.se>

	* src/http.c, include/http.h: Added support for sending HTTP
	  queries. Requires a browser capable of sending text data to
	  stdout, e.g Lynx.
	* example/jwhois.conf: Query whois.co.za and www.nic-se.se via
	  HTTP.
	* po/POTFILES.in, jwhois.pot, ru.po, sv.po: Updated gettext files.

2001-08-27  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Rewrite whois.internic.net default domain
          queries
	  (Lee Maguire, Debian bug #84161)

2001-08-27  Jonas Oberg  <jonas@gnu.org>

	* Added support for having query-format on every rule instead
	of globally for every host. Also introduced new rule format in
	jwhois.conf consisting of a block of options for each rule instead
	of just a hostname.

2001-08-08  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Fixed 164.0.0.0/8 mapping, .hk and .cn lookup,
	  added mapping for .pl
	  (Lee Maguire, Debian bugs #106245, #106255, #107260, #107353)

2001-07-23  Jonas Oberg  <jonas@gnu.org>

	* example/jwhois.conf: Changed .hk (Patrick Liu)

2001-07-19  peter karlsson <peter@softwolves.pp.se>

  	* example/jwhois.conf: Added mappings for 200.128/9 to cidr-blocks
	  (Lee Maguire, Debian bug#105807)

2001-07-18  Jonas Oberg  <jonas@gnu.org>

	* src/whois.c (whois_query): Fixed a problem with whois.domaininfo.com
	and whois.godaddy.com which returned erroneous results when the whole
	query (domain plus terminating "\r\n") did not arrive in the same
	IP packet.

2001-07-01  Jonas Oberg  <jonas@gnu.org>

	* src/jwhois.c (main): Changed to call whois_query() instead of
	doing lookup.

	* src/whois.c: Added (with whois_query taken from jwhois.c and
	whois_read from utils.c).
	
	* src/rwhois.c: Added.

2001-06-30  Jonas Oberg  <jonas@gnu.org>

	* src/lookup.c (lookup_redirect): Changed to lookup whois_redirect in
	server-options block instead of content-redirect block. Removes 128
	redirection matches limit.
	(find_regex_all): Removed.
	(lookup_query_format): Changed to lookup query-format in
	server-options block.

	* src/utils.c (get_whois_server_domain_path, get_whois_server_option): 
	Added functions to lookup information in the server-options block.

	* src/lookup.c (lookup_whois_servers): Added function to search the
	whois-servers.net service, or other similar such services.
	(lookup_query_format): Added feature to mangle query string before
	sending to target whois server.

2001-06-29  Jonas Oberg  <jonas@gnu.org>

	* src/lookup.c (find_regex): Added translate map to regex pattern
	buffer to make matching case insensitive.

	* src/utils.c (add_text_to_buffer): Added utility function.
	(create_string): Added utility function.
	(fdread): Changed so that origin hostname is recorded in cache.

2001-06-27  Jonas Oberg  <jonas@gnu.org>

	* src/init.c (parse_args) src/lookup.c (lookup_redirec): Added
	display-redirections option that displays output from all
	redirections instead of hiding it.

2001-05-25  peter karlsson <peter@softwolves.pp.se>

        * AUTHORS: Changed my status

2001-05-16  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Added mappings for {80,81,217,218}/8 to
	  cidr-blocks (Lee Maguire, Debian bug#97699)

2001-03-27  Jonas Oberg  <jonas@gnu.org>

	* src/jwhois.c (main): Fix so that specifying a host doesn't imply forcing a query

2001-03-18  peter karlsson <peter@softwolves.pp.se>

  	* example/jwhois.conf: Fix syntax error.
        * po/sv.po: Improve translation.

2001-02-21  peter karlsson <peter@softwolves.pp.se>

  	* example/jwhois.conf: Change .za entry (whois.co.za only provides
	a web interface) (Lee Maguire, Debian bug#86167)

2001-02-19  peter karlsson <peter@softwolves.pp.se>

  	* example/jwhois.conf: Changed .cz, .si, .su, and added CZ handle
	(Lee Maguire, Debian bug#86563)

2001-02-18  peter karlsson <peter@softwolves.pp.se>

  	* example/jwhois.conf: Added .net.au, .ng, .ve, and handles AU,
	CKNIC, IDNIC, KG, NICAT (Lee Maguire, Debian bug#86167, #86245)

	* doc/jwhois.1: Updated to list RIPE exentions (Debian bug#84180)

2001-02-15  peter karlsson <peter@softwolves.pp.se>

	* po/sv.po: Updated with comments from sv@li.org (Göran Uddeborg).

2001-02-13  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Changed .br, .hu, .ie, .ro. Added .je, .kg
	(Lee Maguire)

	* po/sv.po: Updated (again).

	* src/jwhois.c: If creating an IPv6 socket fails, and there were
	more DNS hits, try next entry in the hope that it is IPv4.

2001-02-12  peter karlsson <peter@softwolves.pp.se>

	* example/jwhois.conf: Changed .de, .hm, .il, .lu. Added .do, .fj,
	.gg, .gm (Lee Maguire)

	* po/sv.po: Updated.

2001-01-28  Jonas Oberg  <jonas@gnu.org>

	* example/jwhois.conf: Added .la, changed .dk (Kandra Nygårds)
	Changed .nz (Lee Maguire)

	* src/init.c (parse_args): Added feature to disable content redirection
	through command line option (requested by Kandra Nygårds)
	* src/jwhois.c (main): Set locale to LC_ALL so translations work
	(Peter Karlsson)

2001-01-11  Jonas Oberg  <jonas@gnu.org>

	* example/jwhois.conf: Added .bv, .ck, .fm, .id, .nz, .pw, .sj, .ws
	Removed .md, .pl and changed .ca (Dan Fandrich)

2001-01-09  Jonas Oberg  <jonas@gnu.org>

	* Released 2.4.2
	
	* src/lookup.c (find_cidr): Fix for big endian machines

	* src/jwhois.c (main): Better handling of cache errors (Pål Løberg)

	* example/jwhois.conf: Added .in, .nu (Kandra Nygårds),
	.hk (Patrick Liu), .as (Pål Løberg), .gov.uk (Michael Stevens),
	.at (Alexander Lehmann)

	* src/lookup.c (find_cidr): Match n bits in an /n block instead of
	32-n (Tom Hughes, Emil LAURENTIU)

	* po/ru.po: Added (from Dmitry G. Mastrukov)
	
Tue Jan 25 16:10:48 2000  Jonas Oberg  <jonas@coyote.org>

	* Released 2.4.1
	
	* example/jwhois.conf: Added more CIDR blocks
	Changed registry for .no and added -NORID handles (from
	Pål Løberg)

	* configure.in: Added generation of jwhois.spec

	* Makefile.am (EXTRA_DIST): Added distribution of jwhois.spec

	* jwhois.spec.in: Added (from Ryan Weaver)

Sat Jan 22 09:20:14 2000  Jonas Oberg  <jonas@coyote.org>

	* src/jwhois.c (make_connect): Output [host]\n -before- doing a
	resolver query (speeds up output so the user doesn't think it's
	hung)

	* src/utils.c (fdread): Check return value from read correctly

	* example/jwhois.conf: corrected \. to be \\.

Sun Dec 12 03:58:23 1999  Jonas Oberg  <jonas@coyote.org>

	* Released 2.4
	
	* src/jwhois.c (split_host_from_query): Added
	(main): Added possibility to make 'foo@bar.org' queries

	* example/jwhois.conf: Added lots of data from Oren Tirosh

	* configure.in: Added check for malloc.h

	* src/lookup.c: Added include of malloc.h

Thu Dec  2 19:28:35 1999  Jonas Oberg  <jonas@coyote.org>

	* src/init.c (help_version): Added this to replace version and help

	* example/jwhois.conf: Changed .de to whois.ripe.net

	* src/jconfig.c (jconfig_parse_file): Fixed minor bugg in strncpy()

Wed Dec 02 10:46:55 1999  Peter Karlsson <peter@softwolevs.pp.se>

        * src/lookup.c: Fixed a cosmetic problem with the routine that
                        prints the address in a redirection.

Wed Dec 01 23:59:59 1999  Peter Karlsson <peter@softwolves.pp.se>

        * example/jwhois.conf: Added an entry for .no

Wed Dec  1 20:23:06 1999  Jonas Oberg  <jonas@coyote.org>

	* Bumped to 2.3.1

	* example/jwhois.conf: Fixed regexp for struct cidr-block

	* src/lookup.c (find_cidr): Fixed bug (this function now works)

Wed Dec 01 18:44:00 1999  Peter Karlsson  <peter@softwolves.pp.se>

        * po/sv.po: Added Swedish translation

Wed Dec 01 16:18:54 1999  Joans Oberg  <jonas@coyote.org>

        * src/utils.c (readfd): Fixed nasty bug (didn't \0 terminate)

	* Makefile.am: Added debian/ and macros/ to EXTRA_DISTS

	* example/jwhois.conf: Fixed content-redirect to look the way it
	should

Sun Nov 28 20:57:34 1999  Jonas Oberg  <jonas@coyote.org>

	* Bumped to 2.3

	* doc/jwhois.texi: Rewrote parts for new release

	* src/init.c (parse_args): Fixed output of --version and --help

Sat Nov 27 14:39:11 1999  Jonas Oberg  <jonas@coyote.org>

	* Went through and added i18n support

	* src/jconfig.c (jconfig_parse_file): Added (replaces lexer.l)
	Note: Must escape groups with \\ instead of \ now.

	* src/init.c (parse_args): Removed datadir search of jwhois.conf

Thu Nov 25 13:33:47 1999  Jonas Oberg  <jonas@coyote.org>

	* src/jwhois.c (main): Fixed bug when creating qstring
	(main): Fixed bug when outputing qstring instead of host

Tue Nov 23 14:03:28 1999  Jonas Oberg  <jonas@coyote.org>

	* configure.in: Check for db1/ndbm.h

	* src/cache.c: Fallback include of db1/ndbm.h

Mon Nov 22 19:31:06 1999  Jonas Oberg  <jonas@coyote.org>

	* src/dns.c: Added

	* src/cache.c: Rewritten to fit new structure

	* src/jwhois.c (main): Changed to use new structure

	* src/init.c: Added

	* src/jwhois.c (make_connect): Added

	* src/lookup.c: Added

	* src/utils.c (fdread): Added

Sat Nov 20 01:20:47 1999  Jonas Oberg  <jonas@coyote.org>

	* src/gai_strerror.c (EAI_*: Added definitions

	* src/jwhois.c (query_host): Changed to use cache functions
	(main): Added extra options for cache functionality control

	* src/cache.c (cache_store): Changed to support the content-redirect
	block from the configuration file to redirect searches to other hosts.

	* src/cache.c: Added

	* doc/jwhois.texi (Cache Functionality): Added section
	explaining how cache works.

	* example/jwhois.conf: Added content-redirect block and some
	extended information on cache configuration options.

	* configure.in: Added options for cache configuration
	Added warning and disabling of cache if no dbm libraries found

	* README: Added information from INSTALL and info on cache

1999-11-11  Jonas Oberg  <jonas@poledra.coyote.org>

	* configure.in: Added tentative checks for gdbm and ndbm.

Wed Oct 27 16:40:21 1999  Jonas Oberg  <jonas@coyote.org>

	* src/jwhois.c (main): Added --loop-args as recommended by RIPE

	* configure.in, src/gai_strerror.c: Added internal gai_strerror
	for systems lacking this.

Sun Oct 24 15:16:29 1999  Jonas Oberg  <jonas@coyote.org>

	* src/jwhois.c (query_host): Bugfix for little-endian machines
	(reported by phil@psidev.net)

Tue Oct 23 23:31:34 1999  Jonas Oberg  <jonas@coyote.org>

	* Released 2.2

	* Cleanup of example jwhois.conf

Tue Oct  5 16:42:08 1999  Jonas Oberg  <jonas@coyote.org>

	* Released 2.2pre4

	* src/jwhois.c (query_host): Now checking whois port against
	/etc/services et al if not using getaddrinfo()

	* doc/jwhois.texi: Added direntry

1999-10-04  Jonas Oberg  <jonas@coyote.org>

	* Released 2.2pre3

1999-10-03  Jonas Oberg  <jor@circuitous-route.coyote.org>

	* src/jwhois.c (query_host): Converted to getaddrinfo and
	added conditionals in case getaddrinfo should be missing
	(revert back to gethostbyname et al)
	(lookup_host): Changed separator between port number and
	IP/host to space from colon to maintain a decent compatibility with
	IPv6 hosts.

1999-10-02  Jonas Oberg  <jor@circuitous-route.coyote.org>

	* src/string.c (strncasecmp): Added function

	* src/jconfig.c (jconfig_getone): Added function

	* src/jwhois.c (main,find_cidr,find_regex): Finalized structure of
	configuration file

	* configure.in: Fixed so that libnsl is linked only if gethostbyname
	is in it and not when gethostbyname is in libc.

	* Released version 2.2pre0

	* example/jwhois.conf: Added initial support for IP CIDR block

	* src/jwhois.c (find_ip): Added support for IP CIDR blocks

	* src/getopt.c, src/getopt1.c: Added conditionals

	* configure.in: Added check for getopt_long, regexec and removed
	linking against libfl,libl

	* src/lexer.l: Added %option noyywrap

Sun Sep 26 11:15:40 1999  Jonas Oberg  <jonas@coyote.org>

	* Released version 2.1
	
	* configure.in: Added check for strcasecmp

	* src/string.c (strcasecmp): Added function.

	* src/jconfig.c (jconfig_add): Added support for line numbers.
	(jconfig_next): Now handles comparations correctly.

	* src/lexer.l: Counting line numbers for each option.

	* src/jwhois.c (main): Changed default location of configuration
	file to SYSCONFDIR.

	* doc/jwhois.texi (RIPE Extensions): Added information on RIPE
	extensions and how to use them.

	* example/jwhois.conf: Added RIPE, ARIN and APNIC handles

Thu Aug 19 16:21:07 1999  Jonas Oberg  <jonas@coyote.org>

	* src/jwhois.c (help, query_host, make_query, main): added support
	for specifying port numbers

Thu Jul 29 13:57:56 1999  Jonas Oberg  <jonas@coyote.org>

	* example/jwhois.conf: replaced whois.dk.net with joshua.ripe.net
	after being informed by Klaus Alexander Seistrup <kas@magnetic-ink.dk>
	and verified this with <tech@dk-hostmaster.dk>

Wed Jul 28 21:22:07 1999  Jonas Oberg  <jonas@coyote.org>

	* Released version 2.0

